store.h File Reference
`#include <core/trust/request.h>`
`#include <core/trust/tagged_integer.h>`
`#include <core/trust/visibility.h>`
`#include <functional>`
`#include <memory>`
`#include <stdexcept>`
Include dependency graph for store.h:

Go to the source code of this file.

## Classes

class | core::trust::Store
| Models read/write/query access to persisted trust requests. More...
struct | core::trust::Store::Errors
| All Store-specific error/exception types go here. More...
struct | core::trust::Store::Errors::ErrorOpeningStore
| Thrown if a store implementation could not access the persistence backend. More...
struct | core::trust::Store::Errors::ErrorResettingStore
| Thrown if a store implementation could not reset state and drop all previously stored requests. More...
class | core::trust::Store::Query
| The Query class encapsulates queries against a trust store instance. More...
struct | core::trust::Store::Query::Errors
| All Query-specific error/exception types go here. More...
struct | core::trust::Store::Query::Errors::QueryIsInErrorState
| Thrown if functionality of a query is accessed although the query is in error state. More...
struct | core::trust::Store::Query::Errors::NoCurrentResult
| Thrown when trying to access the current result although the query status is not has_more_results. More...
struct | core::trust::Errors
| All core::trust-specific error/exception types go here. More...
struct | core::trust::Errors::ServiceNameMustNotBeEmpty
| The ServiceNameMustNotBeEmpty is thrown if an empty service name is provided when creating a store. More...

## Namespaces

| core
| core::trust
| Contains functionality for implementing Ubuntu's trust model.

## Functions

CORE_TRUST_DLL_PUBLIC std::shared_ptr< Store > | core::trust::create_default_store (const std::string &service_name)
| Creates an instance for the default store implementation. More...